@set NGPC_DEV=c:\ngpc

path=%path%;%NGPC_DEV%\T900\bin
SET THOME=%NGPC_DEV%\T900

@REM Clean
del *.rel
del *.abs
del *.map 
del *.s24
del *.ngp
del cframework\*.rel

cc900 -c -O3 ngcollector.c -o ngcollector.rel
cc900 -c -O3 collection.c -o collection.rel
cc900 -c -O3 messagearea.c -o messagearea.rel
cc900 -c -O3 gamelist.c -o gamelist.rel
cc900 -c -O3 gameplay.c -o gameplay.rel
cc900 -c -O3 graphics.c -o graphics.rel
cc900 -c -O3 events.c -o events.rel
cc900 -c -O3 levels.c -o levels.rel
cc900 -c -O3 cframework\library.c -o cframework\library.rel

tulink -la -o ngcollector.abs cframework\ngpc.lcf cframework\system.lib ngcollector.rel cframework\library.rel collection.rel gamelist.rel messagearea.rel levels.rel events.rel gameplay.rel graphics.rel
tuconv -Fs24 ngcollector.abs
s242ngp ngcollector.s24

@REM Clean
del *.rel
del *.abs
del *.map 
del *.s24
del cframework\*.rel

@REM Run
@REM @call run.bat
