//
// Global definitions
//
//           NGCollector, Sebastian Mihai, 2012
//

#ifndef GLOBALDEFS_H_
#define GLOBALDEFS_H_

// =======================================
// ========= games =======================
// =======================================
#define MAX_GAME_NAME_LENGTH 14
#define GAME_COUNT 112

// =======================================
// ========= charactor====================
// =======================================
#define CHARACTER_SPEED 2

// =======================================
// ========= screen ======================
// =======================================
#define TOTAL_TEXT_LINES 19
// first in a series of 4 sprites used for the player character
#define FIRST_PLAYER_SPRITE 0
// first npc sprite (also in a series of 4)
#define FIRST_NPC_SPRITE FIRST_PLAYER_SPRITE + 4

// first tile used for sprites
// the player character is displayed using four sprites as such:
// 1 2
// 3 4
// The tiles needed by these four sprites begin at the value below
#define FIRST_SPRITE_TILE 129

#define FIRST_NPC_TILE FIRST_SPRITE_TILE + 4
#define FIRST_BG_TILE FIRST_NPC_TILE + 4

// =======================================
// ========level functionality============
// =======================================


// number of levels
#define MAX_LEVELS 5

#endif
